Bug 94997 - [vulkan, SKL,BDW,HSW] deqp-vk.spirv_assembly.instruction.compute.opcopymemory.array regression
Summary: [vulkan, SKL,BDW,HSW] deqp-vk.spirv_assembly.instruction.compute.opcopymemory...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Jason Ekstrand
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-18 19:05 UTC by Mark Janes
Modified: 2016-06-06 00:12 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Janes 2016-04-18 19:05:37 UTC
With the merge of vulkan into mesa master, this test fails on HSW, BDW, SKL with:

Maximum 301 registers live at once.
/home/jenkins/workspace/Leeroy_4/repos/mesa/src/intel/vulkan/anv_pipeline.c:785: VK_ERROR_OUT_OF_HOST_MEMORY
Comment 1 Jason Ekstrand 2016-06-06 00:12:27 UTC
This has been fixed ever since Curro pushed his spilling fixes.


bug/show.html.tmpl processed on Jan 22, 2017 at 22:18:07.
(provided by the Example extension).